AgentStatistics (The Data Transfer Scheduler DB interface 2.0.0-2.16.1 API)
Date: 2013-09-25

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.scheduler.db.model
Class AgentStatistics

    java.lang.Object
      org.gcube.datatransfer.scheduler.db.model.AgentStatistics

All Implemented Interfaces:
  Serializable

    public class AgentStatistics

extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`AgentStatistics()`

Method Summary
`String` | `getAgentIdOfIS()`
`String` | `getAgentStatisticsId()`
`int` | `getCanceledTransfers()`
`int` | `getFailedTransfers()`
`int` | `getOngoingTransfers()`
`int` | `getSucceededTransfers()`
`int` | `getTotalFinishedTransfers()`
`void` | `setAgentIdOfIS(String agentIdOfIS)`
`void` | `setAgentStatisticsId(String agentStatisticsId)`
`void` | `setCanceledTransfers(int canceledTransfers)`
`void` | `setFailedTransfers(int failedTransfers)`
`void` | `setOngoingTransfers(int ongoingTransfers)`
`void` | `setSucceededTransfers(int succeededTransfers)`
`void` | `setTotalFinishedTransfers(int totalFinishedTransfers)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AgentStatistics

    public AgentStatistics()

Method Detail

### getAgentStatisticsId

    public String getAgentStatisticsId()

### setAgentStatisticsId

    public void setAgentStatisticsId(String agentStatisticsId)

### getAgentIdOfIS

    public String getAgentIdOfIS()

### setAgentIdOfIS

    public void setAgentIdOfIS(String agentIdOfIS)

### getOngoingTransfers

    public int getOngoingTransfers()

### setOngoingTransfers

    public void setOngoingTransfers(int ongoingTransfers)

### getFailedTransfers

    public int getFailedTransfers()

### setFailedTransfers

    public void setFailedTransfers(int failedTransfers)

### getSucceededTransfers

    public int getSucceededTransfers()

### setSucceededTransfers

    public void setSucceededTransfers(int succeededTransfers)

### getCanceledTransfers

    public int getCanceledTransfers()

### setCanceledTransfers

    public void setCanceledTransfers(int canceledTransfers)

### getTotalFinishedTransfers

    public int getTotalFinishedTransfers()

### setTotalFinishedTransfers

    public void setTotalFinishedTransfers(int totalFinishedTransfers)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.